%global font_util 1.3.3

Summary:        X.Org X11 font utilities library
Name:           xorg-x11-font-utils
Version:        7.5
Release:        4%{?dist}
License:        MIT
URL:            http://www.x.org
Source0:        http://www.x.org/pub/individual/font/font-util-%{font_util}.tar.gz
Source1:        xorg-x11-fonts-update-dirs
Source2:        xorg-x11-fonts-update-dirs.1

BuildRequires:  gcc make libtool
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
Provides:       font-util = %{font_util}
Provides:       font-utils = %{version}-%{release}
Provides:       ucs2any = %{font_util}

%description
This is a font utilities library, which required for font installation,
conversion, and generation.

%prep
%autosetup -n font-util-%{font_util}

%build
%configure --with-fontrootdir=%{_datadir}/X11/fonts
%make_build

%install
%make_install
install -m 744 %{SOURCE1} %{buildroot}%{_bindir}/xorg-x11-fonts-update-dirs
sed -i "s:@DATADIR@:%{_datadir}:" %{buildroot}%{_bindir}/xorg-x11-fonts-update-dirs
install -m 744 -p -D %{SOURCE2} %{buildroot}%{_mandir}/man1/xorg-x11-fonts-update-dirs.1
find %{buildroot} -name bdftruncate\* -print0 | xargs -0 rm -f

%files
%license COPYING
%doc README.md
%{_bindir}/ucs2any
%{_bindir}/xorg-x11-fonts-update-dirs
%{_libdir}/pkgconfig/fontutil.pc
%{_datadir}/aclocal/fontutil.m4
%{_datadir}/X11/fonts/util/map-*
%dir %{_datadir}/X11/fonts
%dir %{_datadir}/X11/fonts/util
%{_mandir}/man1/ucs2any.1*
%{_mandir}/man1/xorg-x11-fonts-update-dirs.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 ZoeDong <zoedong@tencent.com> - 7.5-1
- Initial build

